# Fetching Details From License

### The method use to fetch the details from the license is

```
accura.getMetadata(function (results), function (error))
```

### ***Response:***

**Success:** JSON Response = {countries: Array\[\<CountryModels>],barcodes: Array\[],\
isValid: boolean, isOCREnable: boolean ,isBarcode: boolean, isBankCard: boolean, isMRZ: boolean}

**Error:** String

#### Example Function:-

```
function getMetadata() {
     accura.getMetadata(function (results) {
         if (results.isValid) {
            //Here you will get json string from SDK with all 
                available functions activated on your license.
         } else {
             alert('Licence is not Loaded');
         }
     }, function (error) {
         alert(error);
     })
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.accurascan.com/language/cordova/functions/fetching-details-from-license.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
